Package de.willuhn.jameica.hbci.gui.input

# Class InputCompat

java.lang.Object
de.willuhn.jameica.hbci.gui.input.InputCompat

public final class InputCompat extends Object
Kompatibilitaetsklasse fuer Inputs.

## Constructor Summary

Constructors
Constructor
Description
`InputCompat()`

## Method Summary

Modifier and Type
Method
Description
`static boolean`
`valueHasChanged(boolean hasChanged, de.willuhn.jameica.gui.input.Input... inputs)`
Prueft ob sich der Wert mindestens eines uebergebenen Inputs seit dem letzten Aufruf von hasChanged() der Inputs geaendert hat.
`static boolean`
`valueHasChanged(de.willuhn.jameica.gui.input.Input... inputs)`
Prueft ob sich der Wert mindestens eines uebergebenen Inputs seit dem letzten Aufruf von hasChanged() der Inputs geaendert hat.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### InputCompat

public InputCompat()

## Method Details

### valueHasChanged

public static boolean valueHasChanged(boolean hasChanged, de.willuhn.jameica.gui.input.Input... inputs)
Prueft ob sich der Wert mindestens eines uebergebenen Inputs seit dem letzten Aufruf von hasChanged() der Inputs geaendert hat.

Parameters:
  `hasChanged` - Ein bekannter Wert fuer den hasChanged()-Status.
  `inputs` - Die Inputs deren hasChanged()-Methode abgefragt werden soll.
Returns:
  true wenn der Wert mindestens eines Inputs sich seit dem letzten Aufruf von hasChanged() der Inputs geaendert hat.

### valueHasChanged

public static boolean valueHasChanged(de.willuhn.jameica.gui.input.Input... inputs)
Prueft ob sich der Wert mindestens eines uebergebenen Inputs seit dem letzten Aufruf von hasChanged() der Inputs geaendert hat.

Parameters:
  `inputs` - Die Inputs deren hasChanged()-Methode abgefragt werden soll.
Returns:
  true wenn der Wert mindestens eines Inputs sich seit dem letzten Aufruf von hasChanged() der Inputs geaendert hat.